Subject: [alpine-devel] heads up: lua modules renames

From: Natanael Copa <[email-masked]>
Date: Thu, 07 Jan 2010 18:46:59 +0100

Hi,

I'm renaming lua modules:

bitlib          -> lua-bitlib
luaexpat        -> lua-expat
json4lua        -> lua-json4
md5             -> lua-md5
lpc             -> lua-pc
luaposix        -> lua-posix
luasocket       -> lua-socket
luasql-mysql    -> lua-sql-mysql
luasql-postgres -> lua-sql-postgres
luasql-sqlite3  -> lua-sql-sqlite3

I have updated the packages depending to use the new package names as
well:

main/acf-alpine-baselayout
main/acf-alpine-conf
main/acf-apk-tools
main/acf-chrony
main/acf-core
main/acf-dnscache
main/acf-opennhrp
main/acf-weblog
testing/prosody

I think 'apk upgrade' should solve everything for upgraders but it might
be an idea to test so I didnt break anything.

I have also added the following lua modules:

lua-zlib    zlib binding (lzlib)
lua-openrc  librc binding

Nice thing is that you now can do apk search 'lua-*' to get a list of
all lua modules.

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---